Reply To: SAED does not work

Home Forums DeepFaceLab Training SAED does not work Reply To: SAED does not work

#3564
aron
Participant

Thanks for your answer.
I implemented the first two suggestions, but still got an error message.
When I try train Quick 96, the error message also appears.
What do you mean with the last point:”Might also try increasing your page file size.”
Can you explain that in a bit more detail?
Best regards
aron

Running trainer.

[new] No saved models found. Enter a name of a new model :
new

Model first run.

Choose one or several GPU idxs (separated by comma).

[CPU] : CPU
[0] : NVIDIA GeForce GTX 950M

[0] Which GPU indexes to choose? : 0
0

[0] Autobackup every N hour ( 0..24 ?:help ) :
0
[n] Write preview history ( y/n ?:help ) :
n
[10] Target iteration :
10
[n] Flip SRC faces randomly ( y/n ?:help ) :
n
[y] Flip DST faces randomly ( y/n ?:help ) :
y
[2] Batch_size ( ?:help ) :
2
[64] Resolution ( 64-640 ?:help ) :
64
[f] Face type ( h/mf/f/wf/head ?:help ) :
f
[liae-ud] AE architecture ( ?:help ) :
liae-ud
[256] AutoEncoder dimensions ( 32-1024 ?:help ) :
256
[64] Encoder dimensions ( 16-256 ?:help ) :
64
[64] Decoder dimensions ( 16-256 ?:help ) :
64
[22] Decoder mask dimensions ( 16-256 ?:help ) :
22
[n] Eyes and mouth priority ( y/n ?:help ) :
n
[n] Uniform yaw distribution of samples ( y/n ?:help ) :
n
[n] Blur out mask ( y/n ?:help ) :
n
[n] Place models and optimizer on GPU ( y/n ?:help ) :
n
[n] Use AdaBelief optimizer? ( y/n ?:help ) :
n
[n] Use learning rate dropout ( n/y/cpu ?:help ) :
n
[y] Enable random warp of samples ( y/n ?:help ) :
y
[0.0] Random hue/saturation/light intensity ( 0.0 .. 0.3 ?:help ) :
0.0
[0.0] GAN power ( 0.0 .. 5.0 ?:help ) :
0.0
[0.0] Face style power ( 0.0..100.0 ?:help ) :
0.0
[0.0] Background style power ( 0.0..100.0 ?:help ) :
0.0
[none] Color transfer for src faceset ( none/rct/lct/mkl/idt/sot ?:help ) :
none
[n] Enable gradient clipping ( y/n ?:help ) :
n
[n] Enable pretraining mode ( y/n ?:help ) :
n
Initializing models: 100%|###############################################################| 5/5 [00:02<00:00, 1.72it/s]
Loading samples: 100%|###############################################################| 461/461 [00:41<00:00, 11.06it/s]
Loading samples: 100%|###############################################################| 399/399 [00:38<00:00, 10.41it/s]
Process Process-13:
Traceback (most recent call last):
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\samplelib\SampleGeneratorFace.py”, line 134, in batch_func
x, = SampleProcessor.process ([sample], self.sample_process_options, self.output_sample_types, self.debug, ct_sample=ct_sample)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\samplelib\SampleProcessor.py”, line 145, in process
img = get_eyes_mouth_mask()*mask
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\samplelib\SampleProcessor.py”, line 80, in get_eyes_mouth_mask
return np.clip(mask, 0, 1)
File “<__array_function__ internals>”, line 6, in clip
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\fromnumeric.py”, line 2097, in clip
return _wrapfunc(a, ‘clip’, a_min, a_max, out=out, **kwargs)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\fromnumeric.py”, line 58, in _wrapfunc
return bound(*args, **kwds)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\_methods.py”, line 141, in _clip
um.clip, a, min, max, out=out, casting=casting, **kwargs)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\_methods.py”, line 94, in _clip_dep_invoke_with_casting
return ufunc(*args, out=out, **kwargs)
MemoryError: Unable to allocate 16.0 MiB for an array with shape (2048, 2048, 1) and data type float32

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “multiprocessing\process.py”, line 258, in _bootstrap
File “multiprocessing\process.py”, line 93, in run
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\core\joblib\SubprocessGenerator.py”, line 54, in process_func
gen_data = next (self.generator_func)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\samplelib\SampleGeneratorFace.py”, line 136, in batch_func
raise Exception (“Exception occured in sample %s. Error: %s” % (sample.filename, traceback.format_exc() ) )
Exception: Exception occured in sample C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\workspace\data_dst\aligned\00081_0.jpg. Error: Traceback (most recent call last):
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\samplelib\SampleGeneratorFace.py”, line 134, in batch_func
x, = SampleProcessor.process ([sample], self.sample_process_options, self.output_sample_types, self.debug, ct_sample=ct_sample)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\samplelib\SampleProcessor.py”, line 145, in process
img = get_eyes_mouth_mask()*mask
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\DeepFaceLab\samplelib\SampleProcessor.py”, line 80, in get_eyes_mouth_mask
return np.clip(mask, 0, 1)
File “<__array_function__ internals>”, line 6, in clip
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\fromnumeric.py”, line 2097, in clip
return _wrapfunc(a, ‘clip’, a_min, a_max, out=out, **kwargs)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\fromnumeric.py”, line 58, in _wrapfunc
return bound(*args, **kwds)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\_methods.py”, line 141, in _clip
um.clip, a, min, max, out=out, casting=casting, **kwargs)
File “C:\Users\aronk\Desktop\11.20. DeepFaceLab_NVIDIA_up_to_RTX2080Ti\_internal\python-3.6.8\lib\site-packages\numpy\core\_methods.py”, line 94, in _clip_dep_invoke_with_casting
return ufunc(*args, out=out, **kwargs)
MemoryError: Unable to allocate 16.0 MiB for an array with shape (2048, 2048, 1) and data type float32

Drücken Sie eine beliebige Taste . . .